607753b731fd3fbf8733a22c351b192e7382ad30
[openwrt/svn-archive/archive.git] / net / openswan / patches / 130-compat_net_dev_ops.patch
1 --- a/linux/include/openswan/ipsec_kversion.h
2 +++ b/linux/include/openswan/ipsec_kversion.h
3 @@ -339,6 +339,12 @@
4 # define HAVE_CURRENT_UID
5 #endif
6
7 +#if LINUX_VERSION_CODE == KERNEL_VERSION(2,6,30)
8 +# ifndef CONFIG_COMPAT_NET_DEV_OPS
9 +# define USE_NETDEV_OPS
10 +# endif
11 +#endif
12 +
13 #if LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,31)
14 # define HAVE_SKB_DST 1
15 #endif